Skip to main content
GET
/
v1
/
mocks
/
{mock_id}
/
requests
Paginated, filterable list of dispatcher requests for a mock
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/mocks/{mock_id}/requests \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mock_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "method": "<string>",
      "path": "<string>",
      "response_status": 123,
      "latency_ms": 123,
      "truncated_request": true,
      "truncated_response": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

mock_id
string<uuid>
required

Query Parameters

scenario_id
string<uuid> | null
since
string | null

ISO 8601 timestamp or relative duration: 30s, 5m, 1h, 7d.

status
integer | null
Required range: 100 <= x <= 599
method
string | null
path_contains
string | null
matched_only
boolean
default:false
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
MockRequestLogCompact · object[]
required
has_more
boolean
required
next_cursor
string | null